{
  "aggMode" : "NONE",
  "codeName" : "Main",
  "columnEnableLink" : 2,
  "controlType" : "GRID",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPCTRL/PSGRIDS/Main.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "groupMode" : "NONE",
  "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
  "logicName" : "主表格",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZAPPCTRL/psdegrids/Main",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPCTRL.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
    "logicTag" : "grid",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_grid",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEGridColumns" : [ {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZAPPCTRLNAME",
      "mOSFilePath" : "pslanguageres/Auto1956",
      "rTMOSFilePath" : "pslanguageres/Auto1956"
    },
    "caption" : "应用部件名称",
    "codeName" : "ibizappctrlname",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "ibizappctrlname",
    "excelCaption" : "应用部件名称",
    "mOSFilePath" : "psdegridcols/ibizappctrlname",
    "name" : "ibizappctrlname",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "IBIZAPPCTRLNAME",
      "codeName" : "IBIZAPPCTRLName"
    },
    "rTMOSFilePath" : "psdegridcols/ibizappctrlname",
    "width" : 350,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "FRONT",
    "caption" : "应用部件类型",
    "codeName" : "ibizappctrltype",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "ibizappctrltype",
    "excelCaption" : "应用部件类型",
    "mOSFilePath" : "psdegridcols/ibizappctrltype",
    "name" : "ibizappctrltype",
    "noPrivDisplayMode" : 1,
    "getPSAppCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/AppCtrlType.json"
    },
    "getPSAppDEField" : {
      "name" : "IBIZAPPCTRLTYPE",
      "codeName" : "Ibizappctrltype"
    },
    "rTMOSFilePath" : "psdegridcols/ibizappctrltype",
    "width" : 350,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "caption" : "文档地址",
    "codeName" : "documentaddress",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "documentaddress",
    "excelCaption" : "文档地址",
    "mOSFilePath" : "psdegridcols/documentaddress",
    "name" : "documentaddress",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "DOCUMENTADDRESS",
      "codeName" : "Documentaddress"
    },
    "rTMOSFilePath" : "psdegridcols/documentaddress",
    "width" : 350,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "caption" : "部件描述",
    "codeName" : "ctrldescription",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "ctrldescription",
    "excelCaption" : "部件描述",
    "mOSFilePath" : "psdegridcols/ctrldescription",
    "name" : "ctrldescription",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "CTRLDESCRIPTION",
      "codeName" : "Ctrldescription"
    },
    "rTMOSFilePath" : "psdegridcols/ctrldescription",
    "width" : 350,
    "widthUnit" : "PX",
    "enableSort" : true
  } ],
  "getPSDEGridDataItems" : [ {
    "dataType" : 25,
    "name" : "ibizappctrlname",
    "getPSAppDEField" : {
      "name" : "IBIZAPPCTRLNAME",
      "codeName" : "IBIZAPPCTRLName"
    }
  }, {
    "dataType" : 25,
    "name" : "ibizappctrltype",
    "getPSAppDEField" : {
      "name" : "IBIZAPPCTRLTYPE",
      "codeName" : "Ibizappctrltype"
    }
  }, {
    "dataType" : 25,
    "name" : "documentaddress",
    "getPSAppDEField" : {
      "name" : "DOCUMENTADDRESS",
      "codeName" : "Documentaddress"
    }
  }, {
    "dataType" : 25,
    "name" : "ctrldescription",
    "getPSAppDEField" : {
      "name" : "CTRLDESCRIPTION",
      "codeName" : "Ctrldescription"
    }
  }, {
    "dataType" : 9,
    "name" : "amount",
    "getPSAppDEField" : {
      "name" : "AMOUNT",
      "codeName" : "Amount"
    }
  }, {
    "dataType" : 25,
    "name" : "ibizappctrlid",
    "getPSAppDEField" : {
      "name" : "IBIZAPPCTRLID",
      "codeName" : "IBIZAPPCTRLId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZAPPCTRLID",
      "codeName" : "IBIZAPPCTRLId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdataaccaction",
    "getPSAppDEField" : {
      "name" : "IBIZAPPCTRLID",
      "codeName" : "IBIZAPPCTRLId"
    },
    "dataAccessAction" : true
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "IBIZAPPCTRLNAME",
      "codeName" : "IBIZAPPCTRLName"
    }
  } ],
  "getPSDEGridEditItems" : [ {
    "caption" : "应用部件标识",
    "codeName" : "srfkey",
    "enableCond" : 3,
    "ignoreInput" : 0,
    "mOSFilePath" : "psdegridcols/srfkey",
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZAPPCTRLID",
      "codeName" : "IBIZAPPCTRLId"
    },
    "getPSEditor" : {
      "editorType" : "HIDDEN",
      "name" : "srfkey"
    },
    "rTMOSFilePath" : "psdegridcols/srfkey",
    "allowEmpty" : true
  } ],
  "pagingSize" : 20,
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZAPPCTRLGridView/psappviewctrls/grid",
  "getRemovePSControlAction" : {
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPCTRL.json"
    }
  },
  "sortMode" : "REMOTE",
  "hasWFDataItems" : false,
  "enableColFilter" : false,
  "enableCustomized" : true,
  "enableGroup" : false,
  "enablePagingBar" : true,
  "enableRowEdit" : false,
  "enableRowEditOrder" : false,
  "enableRowNew" : false,
  "forceFit" : false,
  "hideHeader" : false,
  "noSort" : false,
  "singleSelect" : false,
  "modelid" : "c9cdced4f6f891827227892eafef963e",
  "modeltype" : "PSDEGRID"
}